package net.sf.csutils.core.model.impl;

import java.util.HashMap;
import java.util.Map;

import javax.xml.registry.JAXRException;

import net.sf.csutils.core.model.ROMetaModel;


/**
 * Abstract base class for deriving implementations of {@link ROMetaModel}.
 */
public abstract class AbstractROMetaModel implements ROMetaModel {
	private final Map<String,Object> attributes = new HashMap<String,Object>();

	@Override
	public Object getAttribute(String pKey) throws JAXRException {
		synchronized(attributes) {
			return attributes.get(pKey);
		}
	}

	@Override
	public void setAttribute(String pKey, Object pValue) throws JAXRException {
		synchronized(attributes) {
			attributes.put(pKey, pValue);
		}
	}
}
