package net.sf.csutils.core.model.impl;

import java.util.Map;

import javax.xml.registry.JAXRException;

import net.sf.csutils.core.model.QName;
import net.sf.csutils.core.model.ROType;
import net.sf.csutils.core.registry.RegistryFacade;
import net.sf.csutils.core.registry.impl.MetaModelAccessor;
import net.sf.csutils.core.registry.impl.MetaModelAccessor.MetaModel;


public class DynamicROMetaModel extends AbstractROMetaModel {
    private final MetaModelAccessor accessor;
    private final MetaModel metaModel;

	public DynamicROMetaModel(RegistryFacade pFacade) {
	    accessor = pFacade.getRegistryInfo().getMetaModelAccessor();
	    metaModel = accessor.newMetaModel(pFacade);
	}

    @Override
    public Map<QName, ROType> getROTypes() throws JAXRException {
        return accessor.getROTypes(metaModel);
    }

    @Override
    public ROType getROType(QName pQName) throws JAXRException {
        return accessor.getROType(metaModel, pQName);
    }

    public MetaModel getMetaModel() {
        return metaModel;
    }
}
