package net.sf.csutils.core.query;

import java.util.Calendar;
import java.util.List;

import javax.xml.registry.JAXRException;
import javax.xml.registry.infomodel.RegistryObject;

import net.sf.csutils.core.registry.RegistryFacade;



public interface CsqlStatement {
    List<RegistryObject[]> executeArrayQuery() throws JAXRException;

    List<RegistryObject> executeQuery() throws JAXRException;

    void setBoolean(int pNum, boolean pValue) throws JAXRException;

    void setBoolean(String pName, boolean pValue) throws JAXRException;

    void setByte(int pNum, byte pValue) throws JAXRException;

    void setByte(String pName, byte pValue) throws JAXRException;

    void setShort(int pNum, short pValue) throws JAXRException;

    void setShort(String pName, short pValue) throws JAXRException;

    void setInt(int pNum, int pValue) throws JAXRException;

    void setInt(String pName, int pValue) throws JAXRException;

    void setLong(int pNum, long pValue) throws JAXRException;

    void setLong(String pName, long pValue) throws JAXRException;

    void setFloat(int pNum, float pValue) throws JAXRException;

    void setFloat(String pName, float pValue) throws JAXRException;

    void setDouble(int pNum, double pValue) throws JAXRException;

    void setDouble(String pName, double pValue) throws JAXRException;

    void setDateTime(int pNum, Calendar pCalendar) throws JAXRException;

    void setDateTime(String pName, Calendar pCalendar) throws JAXRException;

    void setDate(int pNum, Calendar pCalendar) throws JAXRException;

    void setDate(String pName, Calendar pCalendar) throws JAXRException;

    void setTime(int pNum, Calendar pCalendar) throws JAXRException;

    void setTime(String pName, Calendar pCalendar) throws JAXRException;

    void setString(int pNum, String pValue) throws JAXRException;

    void setString(String pName, String pValue) throws JAXRException;

    CsqlStatement clone(RegistryFacade pFacade) throws JAXRException;
}
