package net.sf.csutils.core.query.tree;

import java.io.StringReader;

import javax.xml.registry.JAXRException;

import net.sf.csutils.core.query.antlr.CsqlBaseLexer;
import net.sf.csutils.core.query.antlr.CsqlBaseParser;
import antlr.RecognitionException;
import antlr.TokenStreamException;


public class CsqlParser {
	public Statement parse(String pQuery) throws JAXRException {
		final CsqlBaseLexer lexer = new CsqlBaseLexer(new StringReader(pQuery));
		final CsqlBaseParser parser = new CsqlBaseParser(lexer);
		try {
			return parser.statement();
		} catch (RecognitionException e) {
			throw new JAXRException(e);
		} catch (TokenStreamException e) {
			throw new JAXRException(e);
		}
	}
}
