package net.sf.csutils.core.query.tree;

import java.util.List;


/**
 * Representation of a function call in the tree.
 */
public class FunctionCall {
    private final String functionName;
    private final List<Object> args;

    FunctionCall(String pFunctionName, List<Object> pArgs) {
        functionName = pFunctionName;
        args = pArgs;
    }

    /**
     * Returns the functions name.
     * @return The functions name.
     */
    public String getFunctionName() {
        return functionName;
    }
    
    /**
     * Returns the argument list.
     * @return The argument list.
     */
    public List<Object> getArgs() {
        return args;
    }
}
