package net.sf.csutils.core.query.tree;

import java.util.HashMap;
import java.util.Map;


/**
 * Namespace declarations is created by a clause like
 * <pre>declare namespace prefix="namespace URI"</pre>.
 */
public class NamespaceDeclarationSet {
	private final Map<String,String> map = new HashMap<String,String>();

	NamespaceDeclarationSet() {
		// Nothing to do
	}

	void declarePrefix(String pPrefix, String pNamespaceURI) {
		map.put(pPrefix, pNamespaceURI);
	}

	public String getNamespaceUri(String pPrefix) {
		return map.get(pPrefix);
	}
}
