package net.sf.csutils.core.query.tree;

import java.util.ArrayList;
import java.util.List;

public class SelectStatement implements Statement {
	private final List<ObjectType> objectTypes = new ArrayList<ObjectType>();
	private Object whereClause;
	private NamespaceDeclarationSet namespaces;

	void setNamespaces(NamespaceDeclarationSet namespaces) {
		this.namespaces = namespaces;
	}

	void add(ObjectType pObjectType) {
		objectTypes.add(pObjectType);
	}

	public List<ObjectType> getObjectTypes() {
		return objectTypes;
	}

	public Object getWhereClause() {
		return whereClause;
	}

	public void setWhereClause(Object whereClause) {
		this.whereClause = whereClause;
	}

	@Override
	public String getNamespaceUri(String pPrefix) {
		return namespaces == null ? null : namespaces.getNamespaceUri(pPrefix);
	}
}
