package net.sf.csutils.core.registry;

import javax.xml.registry.Connection;
import javax.xml.registry.JAXRException;


/**
 * A connection provider is able to create a (possibly new)
 * CentraSite connection. Instances of this class are typically
 * passed to objects, which <em>might</em> need a CentraSite
 * connection, but not necessarily so. For example, if an
 * importer or exporter detects an error, then it won't require
 * a connection, if it does in its normal operation.
 */
public interface ConnectionProvider {
	/**
	 * Returns a registry connection. A new connection is
	 * created, if required.
	 * @return The registry connection.
	 * @throws JAXRException The operation failed.
	 */
	Connection getConnection() throws JAXRException;
}
