package net.sf.csutils.core.registry.impl;

import java.util.Collection;

import javax.xml.registry.JAXRException;
import javax.xml.registry.infomodel.RegistryObject;

import net.sf.csutils.core.model.RORelation;
import net.sf.csutils.core.model.ROSlot;
import net.sf.csutils.core.registry.RegistryFacade;

public interface InnerModelAccessor {
    void setSlotValue(RegistryFacade pFacade, ROSlot pSlot, RegistryObject pObject, String pValue) throws JAXRException;
    void setSlotValues(RegistryFacade pFacade, ROSlot pSlot, RegistryObject pObject, Collection<String> pValues) throws JAXRException;
    Collection<String> getSlotValues(RegistryFacade pFacade, ROSlot pSlot, RegistryObject pObject) throws JAXRException;
    String getSlotValue(RegistryFacade pFacade, ROSlot pSlot, RegistryObject pObject) throws JAXRException;

    void setRelationValue(RegistryFacade pFacade, RORelation pRelation, RegistryObject pObject, RegistryObject pValue) throws JAXRException;
    void setRelationValues(RegistryFacade pFacade, RORelation pRelation, RegistryObject pObject, Collection<RegistryObject> pValues) throws JAXRException;
    RegistryObject getRelationValue(RegistryFacade pFacade, RORelation pRelation, RegistryObject pObject) throws JAXRException;
    Collection<RegistryObject> getRelationValues(RegistryFacade pFacade, RORelation pRelation, RegistryObject pObject) throws JAXRException;

    <RO extends RegistryObject> RO createInstance(RegistryFacade pFacade, String pType) throws JAXRException;
}
