package net.sf.csutils.core.registry.impl;

import javax.xml.registry.JAXRException;

import net.sf.csutils.core.model.QName;
import net.sf.csutils.core.model.ROMetaModel;
import net.sf.csutils.core.model.ROType;
import net.sf.csutils.core.model.impl.DynamicROMetaModel;
import net.sf.csutils.core.registry.ModelDrivenRegistryFacade;
import net.sf.csutils.core.registry.ROMetaModelAccessor;
import net.sf.csutils.core.registry.impl.MetaModelAccessor.MetaModel;


/**
 * Default implementation of {@link ROMetaModel}, using the
 * {@link DynamicROMetaModel}.
 */
public class ROMetaModelAccessorImpl implements ROMetaModelAccessor {
    private final ModelDrivenRegistryFacade facade;
    private final MetaModelAccessor acc;
    private final DynamicROMetaModel metaModel;

    public ROMetaModelAccessorImpl(ModelDrivenRegistryFacade pFacade, MetaModelAccessor pAccessor) {
        facade = pFacade;
        acc = pAccessor;
        metaModel = new DynamicROMetaModel(facade);
    }

    @Override
    public ROMetaModel getMetaModel() {
        return metaModel;
    }

    @Override
    public ModelDrivenRegistryFacade getRegistryFacade() {
        return facade;
    }

    @Override
    public void remove(QName pQName) throws JAXRException {
        acc.remove(metaModel.getMetaModel(), pQName);
    }

    @Override
    public ROType create(ROType pType) throws JAXRException {
        MetaModel mm = metaModel.getMetaModel();
        return acc.create(mm, pType);
    }
}
