package net.sf.csutils.core.registry.jaxmas;

import net.sf.csutils.core.registry.RegistryInfo;
import net.sf.csutils.core.registry.impl.InnerModelAccessor;
import net.sf.csutils.core.registry.impl.MetaModelAccessor;

import org.apache.labs.jaxmas.registry.accessor.ROAccessors;


/**
 * CentraSite specific implementation of {@link RegistryInfo}.
 * This is typically used for unit tests.
 */
public class JaxMasRegistryInfo extends RegistryInfo {
	private static final JaxMasRegistryInfo theInstance = new JaxMasRegistryInfo();

	/**
	 * Returns the singleton instance.
	 */
	public static JaxMasRegistryInfo getInstance() {
		return theInstance;
	}

	/**
	 * Private constructor, to ensure singleton pattern.
	 */
	private JaxMasRegistryInfo() {
		// Does nothing.
	}

	@Override
	public String getAssociationTypesKey() {
		return ROAccessors.ClassificationSchemes.ASSOCIATION_TYPE.getId();
	}

	@Override
	public String getAssociationTypesName() {
		return ROAccessors.ClassificationSchemes.ASSOCIATION_TYPE.getName();
	}

	@Override
	public String getObjectTypesKey() {
		return ROAccessors.ClassificationSchemes.OBJECT_TYPE.getId();
	}

	@Override
	public String getObjectTypesName() {
		return ROAccessors.ClassificationSchemes.OBJECT_TYPE.getName();
	}

    @Override
    public MetaModelAccessor getMetaModelAccessor() {
        return JaxMasMetaModelAccessor.getInstance();
    }

    @Override
    public InnerModelAccessor getModelAccessor() {
        return JaxMasInnerModelAccessor.getInstance();
    }
}
